Subject: Sending body of message as html from the command line (outgoing.patch)

From: "Kyle Kallstrom" <[email-masked]>
Date: Mon, 5 Aug 2002 20:50:00 -0500

Has anyone ever tried to include a body of a message as html from the
command line?  Using a sending-filter like one on this list a while
back: 

sending-filters=/<pathToExecutable>/mime_types _TMPFILE_ _MIMETYPE_

Where: mime_types is:

#!/bin/sh
echo "Content-Type:text/html" > $2

That works fine from within perl's gui, but say if you use:

pine -I '^X,y' -subject 'the subject line' -attach myfile.ps <
messageBody.html 

with the outgoing.patch, it doesn't pay attention to any of the settings
you've setup (just sending the messageBody as plain text (TEXT/PLAIN).
Then if you remove the " -I '^X,y' ", and it brings you into pine's gui,
you hit ^X,y and it works fine!  Sending the redirected input fine!
It's a crazy thing and I don't know if anyone will understand what I'm
getting at, but its worth a try.  Also, I've found that you can do it
inline iff you use '-attach messageBody.html', w/o any additional
attachments or redirected message body's.  Then the option header shows
the correct text/html.  Has anyone ever successfully done this, is there
another way of going about this..perhaps a way of specifying each
individual attachment's type in-line (via the command line).  I'd like
to be able to make a doc in html, have it look decent with an additional
attachment included.  Ideally, it would be cool to use inline display of
an html attachment, but I know some people frown on that sort of thing.
The pine version I'm using is pine 4.44 with all.patch compiled in.  

Thanks